[Haskell-cafe] Re: [Haskell] GHC 6.10 and OpenGL

Duncan Coutts duncan.coutts at worc.ox.ac.uk
Sun Nov 23 04:37:25 EST 2008

On Sat, 2008-11-22 at 23:34 -0500, Paul L wrote:
> On 11/22/08, Don Stewart <dons at galois.com> wrote:
> > ninegua:
> >> Hi everyone,
> >>
> >> It's sad to see the OpenGL binding being dropped from GHC binary
> >> installers starting from 6.10. Though this issue has been brought up
> >> and discussed before, I'm sure a lot of people who based their work on
> >> OpenGL would share the same sympathy.
> >
> >     $ cabal install OpenGL
> Nice except that:
> 1. The command cabal requires cabal-install package to be installed, is it
> already bundled with all GHC 6.10.1 distributions?

It will be bundled in the Haskell platform installer (as will OpenGL).
In the mean time here's a binary:


> 2. It still wouldn't work for the OpenGL package on Windows, because
> the configure scripts require a Unix-style built environment
> (MinGW/MinSys or Cygwin).

Yes, building it requires mingw/msys, but with it cabal install opengl
really does work (I've tried it).


More information about the Haskell-Cafe mailing list